Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.binding
Interface DCErrorHandler

All Known Subinterfaces:
  DCCachingErrorHandler

All Known Implementing Classes:
  DCErrorHandlerImpl, DCErrorHandlerThrow, JUErrorHandlerDlg

public interface DCErrorHandler

Implements reporting of all ADF exceptions raised in the context of a DCBindingContainer.

Applications could customize exception reporting in JClient by implementing this interface and providing a custom implementation to display/handle ADF exception including BC4J and JClient exceptions in case of an application using those layers.

By default DCErrorHandlerThrow implements this interface and throws all exceptions as a JboException which is a generic Java runtime exception and base class for all ADF exceptions.

For generated applications from wizards, the wizards generate a call to set DCErrorHandlerDialog as the default error handler so that all exceptions are displayed in an error dialog.

See Also:
  `JboException`, `JUErrorHandlerThrow`, `JUErrorHandlerDialog`

Method Summary
`void` | `reportException(DCBindingContainer formBnd, java.lang.Exception ex)` Implements how to handle the given exception raised within the JClient framework in the context of the given form binding.

Method Detail

### reportException

    public void reportException(DCBindingContainer formBnd,
                                java.lang.Exception ex)

  Implements how to handle the given exception raised within the JClient framework in the context of the given form binding.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.